
QGIS Application - Bug report #13601

error calculating area for polygons when otf reprojection is on and the CRS is Indian 1960 48N

2015-10-14 07:50 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Nyall Dawson

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21643

Description

I have just been able to reproduce the circumstances of a serious issue leading to area calculation not working when on-the-fly (OTF)

reprojection is switched on. The gist of it is that when OTF reprojection is on, layers with CRS being Indian 1960 48N (and most probably

other CRSes), area calculation (in the identity panel) is broken and returns wrong values. Similarly, if polygon features are labeled as

$area, nothing is returned.

Steps to reproduce:

    1. Launch QGIS

    2. Add the concessions.zip layer to the project (CRS: Indian 1960 48N)

    3. At this stage, OTF is off; check the area of a polygon via the identify tool to verify it works

    4. Turn OTF on

    5. Check the area of the same polygon via the identify tool to confirm the value is broken (values such as 0.0000, or 0.0008 m2, etc.)

Associated revisions

Revision 5654eeca - 2015-10-15 08:51 AM - Nyall Dawson

Fix area calculation when OTF active and no ellipsoid (fix #13601)

History

#1 - 2015-10-14 07:59 PM - Mathieu Pellerin - nIRV

- File deleted (licadho-land-concessions-2015.zip)

#2 - 2015-10-14 07:59 PM - Mathieu Pellerin - nIRV

- File concessions.zip added

#3 - 2015-10-14 09:01 PM - Mathieu Pellerin - nIRV

- Subject changed from error calculating area for polygons when otf reprojection automatically switched on via new layer crs != project crs to error 

calculating area for polygons when otf reprojection is on and the CRS is Indian 1960 48N

- Priority changed from High to Severe/Regression

- Target version changed from Future Release - High Priority to Version 2.12

#4 - 2015-10-14 10:26 PM - Nyall Dawson

- Assignee set to Nyall Dawson

Ouch. Got it - thanks for reporting!

#5 - 2015-10-14 11:52 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"5654eeca5542a7cdba703979ad931409df3f4168".

Files

cambodia.zip 356 KB 2015-10-14 Mathieu Pellerin - nIRV

concessions.zip 300 KB 2015-10-14 Mathieu Pellerin - nIRV
